/*
* This file is part of Firestorm NIDS
* Copyright (c) 2001 Gianni Tedesco
*
*    Firestorm is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    Firestorm is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Firestorm; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef __CAPDEV_FILE_PLUGIN_HEADER_INCLUDED__
#define __CAPDEV_FILE_PLUGIN_HEADER_INCLUDED__

#include <g_globals.h>
#include <s_globals.h>
#include <plugins.h>

#define FIXUP_NONE	0
#define FIXUP_REDHAT	-8
#define FIXUP_LBL	8

typedef struct cfile_priv{
	packet_t	pkt;
	int		fd;
	uint		snaplen;
	uint		link;
	int		fix;
}cfile_priv_t, *p_cfile_priv;

#endif /* __CAPDEV_FILE_PLUGIN_HEADER_INCLUDED__ */
